# DMMGGetSNES

Gets the SNES object (nonlinear solver) for the finest level

### Synopsis

    SNES DMMGGetSNES(DMMG *dmmg)

Not Collective

### Input Parameter

dmmg -DMMG solve context

Notes: If this is a linear problem (i.e. DMMGSetKSP() was used) then this returns PETSC_NULL

### See Also

DMMGCreate(), DMMGSetUser(), DMMGGetJ(), KSPGetKSP()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex31.c.html